This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
JPCSP just wont start!?
05-19-2013, 10:14 AM (This post was last modified: 05-19-2013 10:26 AM by Kikoshi.)
Post: #11
RE: JPCSP just wont start!?
(05-19-2013 08:53 AM)Blacktownclassic Wrote:  
(05-18-2013 01:23 PM)virgil94 Wrote:  then use jpcsp rev 3128

I'm currently using r 3146 and the issue still exist, wondering are they (developers) planning to sort out that issue soon?Huh

The issue isn't the built by the site, is the jpcsp.jar itself Sad
I've tried it from JPCSP build site, and nothing still. same issue as well

FIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIXED THE FKNG ERROR~

The Manifest File withing the folder of Meta-Inf Is broken, when it was built it had this :
Code:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.8.4
Created-By: 1.7.0_21-b11 (Oracle Corporation)
Main-Class: jpcsp.MainGUI
Class-Path: lib/lwjgl.jar lib/lwjgl_util.jar lib/jinput.jar lib/jgz-0.
2.jar lib/jide-oss-2.8.4.jar lib/log4j-1.2.15.jar lib/asm-all-4.0_RC1
.jar lib/jdom1.1.jar lib/jaxen-1.1.1.jar lib/commons-cli.jar lib/logb
ack-classic.jar lib/logback-core.jar lib/slf4j-api.jar lib/xuggle-xug
gler-noarch-5.4.jar lib/bcprov-jdk16-145.jar
X-COMMENT: Main-Class will be added automatically by build

The latest working built, has the manifest like this

Code:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.8.2
Created-By: 1.6.0_24-b24 (Sun Microsystems Inc.)
Main-Class: jpcsp.MainGUI
Class-Path: ../lib/jinput.jar ../lib/lwjgl_util.jar ../lib/lwjgl.jar .
./lib/javassist.jar ../lib/jgz-0.2.jar ../lib/jide-oss-2.8.4.jar ../l
ib/log4j-1.2.15.jar ../lib/asm-all-4.0_RC1.jar ../lib/jaxen-1.1.1.jar
  ../lib/jdom1.1.jar ../lib/xuggle-xuggler-noarch-5.4.jar ../lib/commo
ns-cli.jar ../lib/logback-classic.jar ../lib/logback-core.jar ../lib/
slf4j-api.jar ../lib/bcprov-jdk16-145.jar

So in other words, just replace the manifest with a working built, or edit the first lines where Lib starts, to

../lib/ect


Attached File(s) Thumbnail(s)
   
Find all posts by this user
Quote this message in a reply
05-21-2013, 05:55 AM
Post: #12
RE: JPCSP just wont start!?
(05-19-2013 10:14 AM)Kikoshi Wrote:  
(05-19-2013 08:53 AM)Blacktownclassic Wrote:  
(05-18-2013 01:23 PM)virgil94 Wrote:  then use jpcsp rev 3128

I'm currently using r 3146 and the issue still exist, wondering are they (developers) planning to sort out that issue soon?Huh

The issue isn't the built by the site, is the jpcsp.jar itself Sad
I've tried it from JPCSP build site, and nothing still. same issue as well

FIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIXED THE FKNG ERROR~

The Manifest File withing the folder of Meta-Inf Is broken, when it was built it had this :
Code:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.8.4
Created-By: 1.7.0_21-b11 (Oracle Corporation)
Main-Class: jpcsp.MainGUI
Class-Path: lib/lwjgl.jar lib/lwjgl_util.jar lib/jinput.jar lib/jgz-0.
2.jar lib/jide-oss-2.8.4.jar lib/log4j-1.2.15.jar lib/asm-all-4.0_RC1
.jar lib/jdom1.1.jar lib/jaxen-1.1.1.jar lib/commons-cli.jar lib/logb
ack-classic.jar lib/logback-core.jar lib/slf4j-api.jar lib/xuggle-xug
gler-noarch-5.4.jar lib/bcprov-jdk16-145.jar
X-COMMENT: Main-Class will be added automatically by build

The latest working built, has the manifest like this

Code:
Manifest-Version: 1.0
Ant-Version: Apache Ant 1.8.2
Created-By: 1.6.0_24-b24 (Sun Microsystems Inc.)
Main-Class: jpcsp.MainGUI
Class-Path: ../lib/jinput.jar ../lib/lwjgl_util.jar ../lib/lwjgl.jar .
./lib/javassist.jar ../lib/jgz-0.2.jar ../lib/jide-oss-2.8.4.jar ../l
ib/log4j-1.2.15.jar ../lib/asm-all-4.0_RC1.jar ../lib/jaxen-1.1.1.jar
  ../lib/jdom1.1.jar ../lib/xuggle-xuggler-noarch-5.4.jar ../lib/commo
ns-cli.jar ../lib/logback-classic.jar ../lib/logback-core.jar ../lib/
slf4j-api.jar ../lib/bcprov-jdk16-145.jar

So in other words, just replace the manifest with a working built, or edit the first lines where Lib starts, to

../lib/ect

Manifest file? From which folder?Huh
Find all posts by this user
Quote this message in a reply
05-31-2013, 01:17 PM
Post: #13
RE: JPCSP just wont start!?
the issue started again since r3189, anybody know how to fix it?
Find all posts by this user
Quote this message in a reply
05-31-2013, 07:22 PM (This post was last modified: 05-31-2013 07:24 PM by DragonNeos.)
Post: #14
RE: JPCSP just wont start!?
(05-31-2013 01:17 PM)Blacktownclassic Wrote:  the issue started again since r3189, anybody know how to fix it?
Stop posting in multiple threads about the same issue. Are you using the builds from Orphis's Buildbot?
Find all posts by this user
Quote this message in a reply
06-01-2013, 06:42 AM
Post: #15
RE: JPCSP just wont start!?
(05-31-2013 07:22 PM)DragonNeos Wrote:  
(05-31-2013 01:17 PM)Blacktownclassic Wrote:  the issue started again since r3189, anybody know how to fix it?
Stop posting in multiple threads about the same issue. Are you using the builds from Orphis's Buildbot?

I'm not sure, but normally I download it from emucr.com.....Confused
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)